org.apache.ignite.internal.processors.query

## Class QueryKeyValueIterable<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.query.QueryKeyValueIterable<K,V>

All Implemented Interfaces:
  Iterable<javax.cache.Cache.Entry<K,V>>

    public class QueryKeyValueIterable<K,V>
    extends Object
    implements Iterable<javax.cache.Cache.Entry<K,V>>

SqlQuery key-value iterable.

### Constructor Summary

Constructors
Constructor and Description
`QueryKeyValueIterable(QueryCursor<List<?>> cur)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<javax.cache.Cache.Entry<K,V>>` `iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### QueryKeyValueIterable

    public QueryKeyValueIterable(QueryCursor<List<?>> cur)

Constructor.

Parameters:
  `cur` - Underlying fields query cursor.

### Method Detail

#### iterator

    public Iterator<javax.cache.Cache.Entry<K,V>> iterator()

Specified by:
  `iterator` in interface `Iterable<javax.cache.Cache.Entry<K,V>>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020